Subject: [pim] rfc 2715: doubt on processsing (*,g) join alert

From: "purvi desai" <[email-masked]>
Date: Thu, 22 Aug 2002 18:31:33 +0000

Hi all,

In rfc 2715. section 3.1.1. (processing alerts )

' When the Interop dispatcher receives a (*,G) Join alert, the
following actions are taken, depending on the number of components N
which want to receive data for G.  If N has just changed from 0 to 1,
a (*,G) Join alert is sent to ALL components other than the 1.  If N
has just changed from 1 to 2, a (*,G) Join alert is sent to the
original (1) component.'

I am able to understand the reason why we need to send join alert to all
components when N changes from 0 to 1 ( so that the owner component
can send appropriate join ) .  But I am not able to  get the rationale
behind sending Join alert to original component (1) when N changes from 1 to
2.  (isn't component 1 , the first party to want packets from that group, and  if the r!
ationale is to avoid sending join alert to all everytime, then I guess statement should be 'if N changes from 0 to 1....<do ...> otherwise  <do ...>' ).

thanks in advance,
Purvi

MSN Photos is the easiest way to share and print your photos: Click Here

_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim